# -*- coding: utf8 -*-

import tensorflow as tf
import numpy as np


class EmbLayer(object):

    def __init__(self, input, config):
        with tf.device("/CPU:0"):
            word_embedding = tf.Variable(np.load(config.voc_path), dtype=tf.float32,
                                                                trainable=False, name="emb_voc")
            self._output = tf.nn.embedding_lookup(word_embedding, input)

    @property
    def output(self):
        return self._output
